namespace dataMagus.Forms.Elements
{
	partial class LogicalRelationshipForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(LogicalRelationshipForm));
            this.cancelButton = new System.Windows.Forms.Button();
            this.okButton = new System.Windows.Forms.Button();
            this.roleBTextBox = new System.Windows.Forms.TextBox();
            this.roleATextBox = new System.Windows.Forms.TextBox();
            this.typeCombo = new System.Windows.Forms.ComboBox();
            this.roleBLabel = new System.Windows.Forms.Label();
            this.entityBLabel = new System.Windows.Forms.Label();
            this.entityALabel = new System.Windows.Forms.Label();
            this.roleALabel = new System.Windows.Forms.Label();
            this.entityBCombo = new System.Windows.Forms.ComboBox();
            this.entityACombo = new System.Windows.Forms.ComboBox();
            this.nameLabel = new System.Windows.Forms.Label();
            this.nameTextBox = new System.Windows.Forms.TextBox();
            this.cardinalityACombo = new System.Windows.Forms.ComboBox();
            this.cardinalityBCombo = new System.Windows.Forms.ComboBox();
            this.cardinalityAGroup = new System.Windows.Forms.GroupBox();
            this.exactlyAUpDown = new System.Windows.Forms.NumericUpDown();
            this.cardinalityBGroup = new System.Windows.Forms.GroupBox();
            this.exactlyBUpDown = new System.Windows.Forms.NumericUpDown();
            this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.tabControl2 = new System.Windows.Forms.TabControl();
            this.dataTab = new System.Windows.Forms.TabPage();
            this.cardinalityAGroup.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.exactlyAUpDown)).BeginInit();
            this.cardinalityBGroup.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.exactlyBUpDown)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
            this.tabControl1.SuspendLayout();
            this.tabControl2.SuspendLayout();
            this.dataTab.SuspendLayout();
            this.SuspendLayout();
            // 
            // cancelButton
            // 
            resources.ApplyResources(this.cancelButton, "cancelButton");
            this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.cancelButton.Name = "cancelButton";
            this.cancelButton.UseVisualStyleBackColor = true;
            this.cancelButton.Click += new System.EventHandler(this.CancelButtonClick);
            // 
            // okButton
            // 
            resources.ApplyResources(this.okButton, "okButton");
            this.okButton.Name = "okButton";
            this.okButton.UseVisualStyleBackColor = true;
            this.okButton.Click += new System.EventHandler(this.OkButtonClick);
            // 
            // roleBTextBox
            // 
            resources.ApplyResources(this.roleBTextBox, "roleBTextBox");
            this.roleBTextBox.Name = "roleBTextBox";
            this.roleBTextBox.Leave += new System.EventHandler(this.RoleBTextBoxLeave);
            // 
            // roleATextBox
            // 
            resources.ApplyResources(this.roleATextBox, "roleATextBox");
            this.roleATextBox.Name = "roleATextBox";
            this.roleATextBox.Leave += new System.EventHandler(this.RoleATextBoxLeave);
            // 
            // typeCombo
            // 
            this.typeCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.typeCombo.FormattingEnabled = true;
            resources.ApplyResources(this.typeCombo, "typeCombo");
            this.typeCombo.Name = "typeCombo";
            this.typeCombo.SelectedIndexChanged += new System.EventHandler(this.TypeComboSelectedIndexChanged);
            // 
            // roleBLabel
            // 
            resources.ApplyResources(this.roleBLabel, "roleBLabel");
            this.roleBLabel.Name = "roleBLabel";
            // 
            // entityBLabel
            // 
            resources.ApplyResources(this.entityBLabel, "entityBLabel");
            this.entityBLabel.Name = "entityBLabel";
            // 
            // entityALabel
            // 
            resources.ApplyResources(this.entityALabel, "entityALabel");
            this.entityALabel.Name = "entityALabel";
            // 
            // roleALabel
            // 
            resources.ApplyResources(this.roleALabel, "roleALabel");
            this.roleALabel.Name = "roleALabel";
            // 
            // entityBCombo
            // 
            this.entityBCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.entityBCombo.FormattingEnabled = true;
            resources.ApplyResources(this.entityBCombo, "entityBCombo");
            this.entityBCombo.Name = "entityBCombo";
            this.entityBCombo.SelectedIndexChanged += new System.EventHandler(this.EntityBComboSelectedIndexChanged);
            // 
            // entityACombo
            // 
            this.entityACombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.entityACombo.FormattingEnabled = true;
            resources.ApplyResources(this.entityACombo, "entityACombo");
            this.entityACombo.Name = "entityACombo";
            this.entityACombo.SelectedIndexChanged += new System.EventHandler(this.EntityAComboSelectedIndexChanged);
            // 
            // nameLabel
            // 
            resources.ApplyResources(this.nameLabel, "nameLabel");
            this.nameLabel.Name = "nameLabel";
            // 
            // nameTextBox
            // 
            resources.ApplyResources(this.nameTextBox, "nameTextBox");
            this.nameTextBox.Name = "nameTextBox";
            this.nameTextBox.TextChanged += new System.EventHandler(this.NameTextBoxTextChanged);
            // 
            // cardinalityACombo
            // 
            this.cardinalityACombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cardinalityACombo.FormattingEnabled = true;
            resources.ApplyResources(this.cardinalityACombo, "cardinalityACombo");
            this.cardinalityACombo.Name = "cardinalityACombo";
            this.cardinalityACombo.SelectedIndexChanged += new System.EventHandler(this.CardinalityAComboSelectedIndexChanged);
            // 
            // cardinalityBCombo
            // 
            this.cardinalityBCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cardinalityBCombo.FormattingEnabled = true;
            resources.ApplyResources(this.cardinalityBCombo, "cardinalityBCombo");
            this.cardinalityBCombo.Name = "cardinalityBCombo";
            this.cardinalityBCombo.SelectedIndexChanged += new System.EventHandler(this.CardinalityBComboSelectedIndexChanged);
            // 
            // cardinalityAGroup
            // 
            this.cardinalityAGroup.Controls.Add(this.exactlyAUpDown);
            this.cardinalityAGroup.Controls.Add(this.cardinalityACombo);
            resources.ApplyResources(this.cardinalityAGroup, "cardinalityAGroup");
            this.cardinalityAGroup.Name = "cardinalityAGroup";
            this.cardinalityAGroup.TabStop = false;
            // 
            // exactlyAUpDown
            // 
            resources.ApplyResources(this.exactlyAUpDown, "exactlyAUpDown");
            this.exactlyAUpDown.Name = "exactlyAUpDown";
            this.exactlyAUpDown.Value = new decimal(new int[] {
            2,
            0,
            0,
            0});
            // 
            // cardinalityBGroup
            // 
            this.cardinalityBGroup.Controls.Add(this.exactlyBUpDown);
            this.cardinalityBGroup.Controls.Add(this.cardinalityBCombo);
            resources.ApplyResources(this.cardinalityBGroup, "cardinalityBGroup");
            this.cardinalityBGroup.Name = "cardinalityBGroup";
            this.cardinalityBGroup.TabStop = false;
            // 
            // exactlyBUpDown
            // 
            resources.ApplyResources(this.exactlyBUpDown, "exactlyBUpDown");
            this.exactlyBUpDown.Name = "exactlyBUpDown";
            this.exactlyBUpDown.Value = new decimal(new int[] {
            2,
            0,
            0,
            0});
            // 
            // errorProvider
            // 
            this.errorProvider.ContainerControl = this;
            // 
            // tabControl1
            // 
            resources.ApplyResources(this.tabControl1, "tabControl1");
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.errorProvider.SetIconAlignment(this.tabControl1, ((System.Windows.Forms.ErrorIconAlignment)(resources.GetObject("tabControl1.IconAlignment"))));
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            // 
            // tabPage1
            // 
            resources.ApplyResources(this.tabPage1, "tabPage1");
            this.errorProvider.SetIconAlignment(this.tabPage1, ((System.Windows.Forms.ErrorIconAlignment)(resources.GetObject("tabPage1.IconAlignment"))));
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.UseVisualStyleBackColor = true;
            // 
            // tabPage2
            // 
            resources.ApplyResources(this.tabPage2, "tabPage2");
            this.errorProvider.SetIconAlignment(this.tabPage2, ((System.Windows.Forms.ErrorIconAlignment)(resources.GetObject("tabPage2.IconAlignment"))));
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.UseVisualStyleBackColor = true;
            // 
            // tabControl2
            // 
            resources.ApplyResources(this.tabControl2, "tabControl2");
            this.tabControl2.Controls.Add(this.dataTab);
            this.tabControl2.Name = "tabControl2";
            this.tabControl2.SelectedIndex = 0;
            // 
            // dataTab
            // 
            this.dataTab.Controls.Add(this.nameLabel);
            this.dataTab.Controls.Add(this.entityBCombo);
            this.dataTab.Controls.Add(this.cardinalityBGroup);
            this.dataTab.Controls.Add(this.entityALabel);
            this.dataTab.Controls.Add(this.cardinalityAGroup);
            this.dataTab.Controls.Add(this.entityACombo);
            this.dataTab.Controls.Add(this.roleBTextBox);
            this.dataTab.Controls.Add(this.roleALabel);
            this.dataTab.Controls.Add(this.nameTextBox);
            this.dataTab.Controls.Add(this.entityBLabel);
            this.dataTab.Controls.Add(this.roleATextBox);
            this.dataTab.Controls.Add(this.roleBLabel);
            this.dataTab.Controls.Add(this.typeCombo);
            resources.ApplyResources(this.dataTab, "dataTab");
            this.dataTab.Name = "dataTab";
            this.dataTab.UseVisualStyleBackColor = true;
            // 
            // LogicalRelationshipForm
            // 
            this.AcceptButton = this.okButton;
            resources.ApplyResources(this, "$this");
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.CancelButton = this.cancelButton;
            this.Controls.Add(this.tabControl2);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.cancelButton);
            this.Controls.Add(this.okButton);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "LogicalRelationshipForm";
            this.ShowIcon = false;
            this.ShowInTaskbar = false;
            this.Load += new System.EventHandler(this.LogicalRelationshipFormLoad);
            this.cardinalityAGroup.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.exactlyAUpDown)).EndInit();
            this.cardinalityBGroup.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.exactlyBUpDown)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
            this.tabControl1.ResumeLayout(false);
            this.tabControl2.ResumeLayout(false);
            this.dataTab.ResumeLayout(false);
            this.dataTab.PerformLayout();
            this.ResumeLayout(false);

		}
		private System.Windows.Forms.TabPage dataTab;
		private System.Windows.Forms.TabControl tabControl2;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.TabPage tabPage1;
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.ErrorProvider errorProvider;
		private System.Windows.Forms.NumericUpDown exactlyBUpDown;
		private System.Windows.Forms.GroupBox cardinalityBGroup;
		private System.Windows.Forms.NumericUpDown exactlyAUpDown;
		private System.Windows.Forms.GroupBox cardinalityAGroup;
		private System.Windows.Forms.Label roleALabel;
		private System.Windows.Forms.Label nameLabel;
		private System.Windows.Forms.Label roleBLabel;
		private System.Windows.Forms.Label entityBLabel;
		private System.Windows.Forms.Label entityALabel;
		private System.Windows.Forms.ComboBox cardinalityBCombo;
		private System.Windows.Forms.ComboBox cardinalityACombo;
		private System.Windows.Forms.TextBox nameTextBox;
		private System.Windows.Forms.TextBox roleATextBox;
		private System.Windows.Forms.TextBox roleBTextBox;
		private System.Windows.Forms.ComboBox entityACombo;
		private System.Windows.Forms.ComboBox entityBCombo;
		private System.Windows.Forms.ComboBox typeCombo;
		private System.Windows.Forms.Button okButton;
		private System.Windows.Forms.Button cancelButton;
	}
}
